Skip to main content
GET

List contacts

GET /api/v1/contacts Full CRUD operations for contacts.

Headers

string
required
Your API key
string
required
Your API secret key
string
required
WhatsApp channel ID

Create contact

POST /api/v1/contacts

Body parameters

string
required
Contact name.
string
required
Phone number with country code.
string
Contact email address.

Get contact

GET /api/v1/contacts/:id
integer
required
Contact ID.

Update contact

PUT /api/v1/contacts/:id
integer
required
Contact ID.

Body parameters

string
Updated contact name.
string[]
Array of tags.

Delete contact

DELETE /api/v1/contacts/:id
integer
required
Contact ID.

List groups

GET /api/v1/contacts/groups

Add contact to group

POST /api/v1/contacts/groups/:groupId/add
integer
required
Group ID.

Body parameters

integer
required
Contact ID to add to the group.